This is actually a security vulnerability with your plugin that you need to fix.